require 'common/runner'

class RmDummyRunner
  include Runner

  def run(plugin, *targets)
    targets.each do |target|
      if target.include?('@') then
        user_description = plugin.describe_user(target)
        report(plugin, "Would remove user: #{target} (#{user_description})")
      else
        domain_description = plugin.describe_domain(target)
        report(plugin, "Would remove domain: #{target} (#{domain_description})")
      end
    end

  end

end
